grk::ParserMap Struct Reference

`#include <PacketParser.h>`

## Public Member Functions

| ParserMap (TileProcessor *tileProcessor)
| ~ParserMap ()
void | pushParser (uint64_t precinctIndex, PacketParser *parser)

## Public Attributes

TileProcessor * | tileProcessor_
std::map< uint64_t, PrecinctPacketParsers * > | precinctParsers_

## Constructor & Destructor Documentation

## ParserMap()

grk::ParserMap::ParserMap | ( | TileProcessor * | tileProcessor | ) |

## ~ParserMap()

grk::ParserMap::~ParserMap | ( |  | ) |

References grk::grk_read(), and precinctParsers_.

## Member Function Documentation

## pushParser()

void grk::ParserMap::pushParser | ( | uint64_t | precinctIndex,
|  | PacketParser * | parser
| ) |  |

References grk::grk_read(), precinctParsers_, and tileProcessor_.

## Member Data Documentation

## precinctParsers_

std::map<uint64_t, PrecinctPacketParsers*> grk::ParserMap::precinctParsers_

Referenced by grk::TileProcessor::decompressT2T1(), pushParser(), and ~ParserMap().

## tileProcessor_

TileProcessor* grk::ParserMap::tileProcessor_

Referenced by pushParser().

The documentation for this struct was generated from the following files:

- PacketParser.h
- PacketParser.cpp